Package org.jfree.report.modules.gui.common

## Class DefaultGuiContext

- java.lang.Object
- - org.jfree.report.modules.gui.common.DefaultGuiContext

- All Implemented Interfaces:
    `GuiContext`

      public class DefaultGuiContext
      extends java.lang.Object
      implements GuiContext

  Creation-Date: 16.11.2006, 17:05:27
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultGuiContext​(java.util.Locale locale, IconTheme iconTheme, org.pentaho.reporting.libraries.base.config.Configuration configuration)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.pentaho.reporting.libraries.base.config.Configuration` | `getConfiguration()` |
    `IconTheme` | `getIconTheme()` |
    `java.util.Locale` | `getLocale()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultGuiContext

          public DefaultGuiContext​(java.util.Locale locale,
                                   IconTheme iconTheme,
                                   org.pentaho.reporting.libraries.base.config.Configuration configuration)

  - ### Method Detail

    - #### getLocale

          public java.util.Locale getLocale()

      Specified by:
        `getLocale` in interface `GuiContext`

    - #### getIconTheme

          public IconTheme getIconTheme()

      Specified by:
        `getIconTheme` in interface `GuiContext`

    - #### getConfiguration

          public org.pentaho.reporting.libraries.base.config.Configuration getConfiguration()

      Specified by:
        `getConfiguration` in interface `GuiContext`